
CREATE STOGROUP TEST_SG1 VOLUMES (XTRA01,SCR03 ) VCAT DSNC810;
ALTER STOGROUP TEST_SG1 ADD VOLUMES(VOL3,VOL4);
ALTER STOGROUP TEST_SG1 REMOVE VOLUMES(SCR03);

CREATE DATABASE TESTDB_INSTANCE 
	 	BUFFERPOOL BPK81
	 	INDEXBP IBPK81
	 	AS WORKFILE FOR prashanth
	 	STOGROUP TEST_SG1
	 	CCSID UNICODE
	 	;
	 	
ALTER DATABASE TESTDB_INSTANCE
		BUFFERPOOL BPK82
		INDEXBP IBPK82
		CCSID ASCII
		;

CREATE TABLESPACE TBSP1 
				  IN TESTDB_INSTANCE 
				  DSSIZE 6 G
				  NUMPARTS 82 ( PARTITION 80 COMPRESS YES, 
				  				PARTITION 81 USING VCAT DSNC810 
				  							 FREEPAGE 0 
				  							 PCTFREE 9 
				  							 GBPCACHE SYSTEM
				  							 COMPRESS NO
				  							 TRACKMOD YES,
				  				PARTITION 82 USING STOGROUP TEST_SG1 PRIQTY 4000 SECQTY 130 ERASE YES
				  							 FREEPAGE 10 
				  							 PCTFREE 25 
				  							 GBPCACHE ALL
				  							 COMPRESS YES
				  							 TRACKMOD YES
				  				)
				  				MEMBER CLUSTER 
				  LOCKMAX 10
				  LOCKSIZE PAGE 
				  BUFFERPOOL BP1 
				  CLOSE YES
				  CCSID UNICODE
				  COMPRESS YES
				  LOCKMAX 10
				  LOCKSIZE PAGE
				  MAXROWS 10
;

ALTER TABLESPACE TESTDB_INSTANCE.TBSP1	
				BUFFERPOOL BP2
				CCSID ASCII
				CLOSE YES
				LOCKMAX SYSTEM
				LOCKSIZE ROW
				LOG YES
				MAXROWS 200
				TRACKMOD YES
				USING STOGROUP TEST_SG1 PRIQTY 4000 SECQTY 130 ERASE YES
				FREEPAGE 5
				FREEPAGE 15
				GBPCACHE ALL
		ALTER PARTITION 80 FREEPAGE 20 PCTFREE 80 TRACKMOD YES
 		ALTER PARTITION 81 COMPRESS YES
		;

CREATE LOB TABLESPACE TBSP2
			 		  IN TESTDB_INSTANCE
			 		  USING VCAT DSNC810
			 		  GBPCACHE NONE		
			 		  DSSIZE 10 G
					  SEGSIZE 10
					  LOCKMAX SYSTEM
					  LOCKSIZE ROW;
					  
CREATE TABLESPACE TBSP3
				  IN TESTDB_INSTANCE
				  USING STOGROUP TEST_SG1 PRIQTY 4000 SECQTY 130 ERASE YES
				  FREEPAGE 5 PCTFREE 30
				  GBPCACHE CHANGED
				  DEFINE YES
				  LOG YES
				  TRACKMOD YES;

create table test_datatypes
	(	a smallint primary key,
		b integer,
		c int,
		d decimal (5,8),
		e numeric,
		f dec(10,0),
		"g" float,
		"g1" float (50),
		h real,
		i double,
		j double precision,
		k char,
		l varchar (10) for bit data,
		l2 char for bit data,
		l3 character varying (2) for bit data,
		m character large object (1M) for sbcs data,
		n dbclob(2g),
		o binary large object (1k),
		p date,
		q time,
		r timestamp,
		s rowid			
	);
	
create table test_partition(a int not null constraint pk_a primary key unique
					 constraint fk_a references test_datatypes(a) enforced enable query optimization,
					 constraint check_a check(a>5),
				b int,
				c int,
				d int
				)
				in TESTDB_INSTANCE.TBSP1
				partition by range (a nulls last desc, b desc) ( partition 80 ending at ('ad', MAXVALUE) inclusive,
																 partition 81 ending (MAXVALUE)
																)
				editproc program1
				validproc program2
				audit changes
				obid 6
				data capture none
				with restrict on drop
				ccsid unicode
				not volatile cardinality
;

alter table test_partition 
			add new_column int not null
			add constraint new_constr unique(new_column)
			add restrict on drop;
			
alter table test_partition 
			alter column d set data type char(20)
			alter column c set generated always set increment by 5
			alter partition 80 ending at(10,12);
			
alter table test_partition
			rotate partition first to last ending at(10,4) reset;
			
alter table test_partition drop materialized query;

create table s1.t1(a int);
create table l1.s2.t1(a int);

create table test_constr1(a int not null 
				   references test_datatypes(a) on delete cascade not enforced 
				   constraint check_constr check (a>6)
				);

create distinct type mychar as char(12) for sbcs data ccsid EBCDIC;
		
create table test_constr2 (a int not null,
			    b int not null,
			    c int generated always as identity(start with 1, increment by 1, no maxvalue, no cycle, no cache, order),
			    d int not null,
			    e char(10) not null default 'abcd',
			    f char(30) NOT NULL default USER, 
			    g int with default,
			    h char(30) with default NULL,
			    i char(40) default CURRENT SQLID,
			    mycolumn mychar,
			    constraint pk1 primary key(a,b),
			    constraint uq1 unique(c,d),
			    constraint chk1 check(a>b)
			    );

alter table test_constr2
			alter column c
			set generated by default 
			restart with 5
			set increment by 5
			set cache 20
			;
			
			    
create table pgovinda.test_constr3(a int not null,
				b int not null,
				c int not null,
				d int not null,
				constraint fk1 foreign key(a,b) references test_constr2(a,b),
				constraint fk2 foreign key(c,d) references test_constr2(c,d)
				);
alter table test_constr3 add primary key(a,b);

create table like_test_constr2 like test_constr2 including identity column attributes;

CREATE TABLE WITH_DEFAULT (
		ROWINFO VARCHAR(16) WITH DEFAULT ,
		STATUS VARCHAR(9) WITH DEFAULT ,
		COLSMALLINT SMALLINT WITH DEFAULT ,
		COLINT INTEGER WITH DEFAULT ,
		COLREAL REAL WITH DEFAULT ,
		COLFLOAT DOUBLE WITH DEFAULT ,
		COLFLOAT24 DOUBLE WITH DEFAULT ,
		COLFLOAT25 DOUBLE WITH DEFAULT ,
		COLDOUBLE DOUBLE WITH DEFAULT ,
		COLDEC DECIMAL(8 , 2) WITH DEFAULT ,
		COLNUMERIC DECIMAL(8 , 2) WITH DEFAULT ,
		COLCHAR1 CHAR(1) WITH DEFAULT ,
		COLCHAR CHAR(26) WITH DEFAULT ,
		COLVCHAR VARCHAR(26) WITH DEFAULT ,
		COLDATE DATE WITH DEFAULT ,
		COLTIME TIME WITH DEFAULT ,
		COLTIMESTAMP TIMESTAMP WITH DEFAULT 
	);

CREATE TABLE TEST_MQT(a,b) AS (SELECT a,b from test_datatypes) 
				WITH NO DATA
				EXCLUDING IDENTITY COLUMN ATTRIBUTES USING TYPE DEFAULTS;
				
CREATE TABLE TEST_MQT2 AS (SELECT a,b from test_datatypes) 
				DATA INITIALLY DEFERRED REFRESH DEFERRED 
				MAINTAINED BY USER
				ENABLE QUERY OPTIMIZATION;

CREATE VIEW TEST_VIEW AS 
select a,b from test_constr2;

CREATE VIEW TEST_SIMPLE_VIEW(A,B) AS 
			SELECT A,B FROM TEST_CONSTR2 UNION SELECT A,B FROM TEST_CONSTR3
			WITH LOCAL CHECK OPTION;
			
CREATE VIEW TEST_CTE_VIEW AS 
			WITH CTE1(A,B) AS (SELECT A,B FROM TEST_CONSTR2)
			SELECT * FROM CTE1;
			
ALTER VIEW TEST_ALTER_VIEW REGENERATE;

CREATE ALIAS TEST_ALIAS1 FOR s1.t1;

CREATE ALIAS s1.TEST_ALIAS2 FOR test_constr2;

CREATE ALIAS L1.S1.TEST_ALIAS3 FOR L1.S2.T1;

create table test_gen (a int not null,
			    b int generated by default as identity(start with 1, increment by 1, no maxvalue, no cycle, no cache, order),
			    c int generated always as identity(start with 1, increment by 1, no maxvalue, no cycle, no cache, order)
			    );


SET SCHEMA = s1;
create table t_set_schema(a int);

SET SCHEMA = "new_schema";
create table t_set_schema(a int);

SET SCHEMA = "new schema";
create table t_set_schema(a int);

SET SCHEMA = pgovinda;

create synonym test_synonym1 for auth1.test_constr2;


--create distinct type mychar2 as unknownType;

