CREATE TRIGGER NEW_HIRE 
AFTER INSERT ON EMPLOYEE 
FOR EACH ROW MODE DB2SQL 
BEGIN ATOMIC 
	UPDATE COMPANY_STATS SET NBEMP = NBEMP + 1; 
END;

CREATE TRIGGER REORDER 
AFTER UPDATE OF ON_HAND, MAX_STOCKED ON PARTS 
REFERENCING NEW AS NROW 
FOR EACH ROW MODE DB2SQL 
WHEN (NROW.ON_HAND < 0.10 * NROW.MAX_STOCKED) 
	VALUES(ISSUE_SHIP_REQUEST(NROW.MAX_STOCKED - NROW.ON_HAND, NROW.PARTNO)); 

CREATE TRIGGER SAL_ADJ 
AFTER UPDATE OF SALARY ON EMPLOYEE 
REFERENCING OLD AS OLD_EMP 
			NEW AS NEW_EMP 
FOR EACH ROW MODE DB2SQL 
WHEN (NEW_EMP.SALARY > (OLD_EMP.SALARY * 1.20)) 
BEGIN ATOMIC 
	SIGNAL SQLSTATE 75001 (Invalid Salary Increase - Exceeds 20%); 
	INSERT INTO SALES_ADJ VALUES(5);
END