CREATE STOGROUP  SG02 VOLUMES (XTRA01,SCR03 ) VCAT DSNC810;
CREATE STOGROUP  STOGRP01 VOLUMES (XTRA01,SCR03 ) VCAT DSNC810;
create database TEST02 STOGROUP SG02;
create database TESTDB STOGROUP SG02;

CREATE TABLESPACE TS02 IN TEST02
        USING STOGROUP SG02
              PRIQTY 20
              SECQTY 8
              ERASE NO
        FREEPAGE 0
        PCTFREE 5
        SEGSIZE 4
        BUFFERPOOL BP2
        LOCKSIZE ANY
              LOCKMAX SYSTEM
              LOCKPART NO
        CLOSE NO
        COMPRESS NO
        CCSID EBCDIC;
        
CREATE TABLE dtypes_testparms (
DTRID ROWID NOT NULL GENERATED ALWAYS,
ROWINFO varchar(16), 
STATUS varchar(9),
 
COLSMALLINT smallint, 
COLINT int, 
 
COLREAL real,        
COLFLOAT float,
COLFLOAT24 float(24),
COLFLOAT25 float(25),
COLDOUBLE double,
 
COLDEC decimal(8,2), 
COLNUMERIC numeric(8,2),
 
COLCHAR1 char(1),
COLCHAR char(26), 
COLVCHAR varchar(26), 

COLCHAR1BIT char(1) for bit data,
COLCHARBIT char(6) for bit data, 
COLVCHARBIT varchar(6) for bit data, 
 
COLDATE date, 
COLTIME time, 
COLTIMESTAMP timestamp,
COLCLOB clob(5k)
)
;

CREATE TABLE DEPT
(DEPTNO CHAR(3) NOT NULL,
DEPTNAME VARCHAR(36) NOT NULL,
MGRNO CHAR(6),
ADMRDEPT CHAR(3) NOT NULL,
LOCATION CHAR(16),
PRIMARY KEY(DEPTNO));
 
CREATE UNIQUE INDEX UX1_DEPT
ON DEPT
(DEPTNO ASC)
USING STOGROUP STOGRP01
PRIQTY 512
SECQTY 64
ERASE NO
BUFFERPOOL BP1
CLOSE YES
PIECESIZE 1M;

CREATE PROCEDURE RTESCHMA.MYPROC1  (IN INT, OUT INT, OUT DECIMAL(7,2))
LANGUAGE COBOL
EXTERNAL NAME MYMOD1
PARAMETER STYLE GENERAL
WLM ENVIRONMENT WLMENV1
RESULT SETS 1;

CREATE TABLESPACE TBSPPART IN TESTDB
                   CCSID EBCDIC
                   FREEPAGE 1
                   NUMPARTS 4 (PART 1 USING STOGROUP STOGRP01,
                               PART 2 USING STOGROUP STOGRP01,
                               PART 3 USING STOGROUP STOGRP01,
                               PART 4 USING STOGROUP STOGRP01)
                   LOCKSIZE ANY
                   CLOSE NO;

CREATE TABLESPACE TBSPSEG1 IN TESTDB
                   CCSID EBCDIC
                   SEGSIZE  60
                   LOCKSIZE ROW
                   CLOSE NO;

CREATE LOB TABLESPACE PHOTOLTS
IN TESTDB
USING STOGROUP STOGRP01
PRIQTY 3200
SECQTY 1600
LOCKSIZE LOB
BUFFERPOOL BP16K0
LOG NO
CLOSE NO;

CREATE TABLE EMPLOYEE(SALARY INT, EMPNO CHAR(10));

CREATE PROCEDURE UPDATE_SALARY_1
(IN EMPLOYEE_NUMBER CHAR(10),

IN RATE DECIMAL(6,2))

LANGUAGE SQL

MODIFIES SQL DATA

COLLID TEST

EXTERNAL NAME 'UPDTSAL'

WLM ENVIRONMENT WLMENV1

BEGIN 

     UPDATE EMPLOYEE

       SET SALARY = SALARY *RATE

       WHERE EMPNO =EMPLOYEE_NUMBER;

END;


 