--COMMENT ON TABLE DSN8810.EMP IS 'REFLECTS 1ST QTR 81 REORG';

--COMMENT ON COLUMN DSN8810.DEPT.DEPTNO IS 'DEPARTMENT ID - UNIQUE';

--COMMENT ON DISTINCT TYPE DOCUMENT IS 'CONTAINS DATE, TABLE OF CONTENTS, BODY, INDEX, and GLOSSARY';

--COMMENT ON FUNCTION CHEM.ATOMIC_WEIGHT IS 'TAKES ATOMIC NUMBER AND GIVES ATOMIC WEIGHT';

--COMMENT ON FUNCTION CENTER (INTEGER, FLOAT) IS 'USES THE CHEBYCHEV METHOD';

--COMMENT ON SPECIFIC FUNCTION JOHNSON.FOCUS97 IS 'USES THE SQUARING TECHNIQUE';

--COMMENT ON TRIGGER BONUS IS 'LIMITS BONUSES TO 10% OF SALARY';

--COMMENT ON PLAN MYPLAN IS 'THIS IS MY PLAN';

--COMMENT ON EMP(EMPNO IS 'MY EMP NUMBER', EMPNAME IS 'MY NAME');


CREATE TABLE MYSCHEMA.T1(A INT, B INT, C INT, D INT);
COMMENT ON TABLE MYSCHEMA.T1 IS 'THIS IS MY TABLE';
COMMENT ON COLUMN MYSCHEMA.T1.A IS 'COMMENT FOR COLUMN A';

LABEL ON TABLE MYSCHEMA.T1 IS 'LABEL FOR T1';
LABEL ON COLUMN MYSCHEMA.T1.A IS 'LABEL FOR COLUMN A';

COMMENT ON MYSCHEMA.T1(B IS 'COMMENT FOR B', C IS 'COMMENT FOR C');
LABEL ON MYSCHEMA.T1(B IS 'LABEL FOR B', C IS 'LABEL FOR C');

CREATE VIEW MYSCHEMA.V1 AS SELECT * FROM MYSCHEMA.T1;
COMMENT ON TABLE MYSCHEMA.V1 IS 'COMMENT FOR V1';

CREATE ALIAS MYSCHEMA.MYALIAS FOR MYSCHEMA.T1;
COMMENT ON ALIAS MYSCHEMA.MYALIAS IS 'ALIAS FOR TABLE T1';

CREATE DISTINCT TYPE MYSCHEMA.MYINT AS INTEGER;
COMMENT ON DISTINCT TYPE MYSCHEMA.MYINT IS 'COMMENT FOR MYINT';

CREATE INDEX MYSCHEMA.I1 ON MYSCHEMA.T1(A); 
COMMENT ON INDEX MYSCHEMA.I1 IS 'COMMENT FOR INDEX';

CREATE FUNCTION MYSCHEMA.TAN (X DOUBLE) 
RETURNS DOUBLE 
LANGUAGE SQL
SPECIFIC MYSCHEMA_TAN
CONTAINS SQL 
NO EXTERNAL ACTION 
DETERMINISTIC 
RETURN SIN(X)/COS(X);

COMMENT ON SPECIFIC FUNCTION MYSCHEMA_TAN IS 'COMMENT ON SPECIFIC FUNCTION';

CREATE FUNCTION PGOVINDA.TAN (X DOUBLE) 
RETURNS DOUBLE 
LANGUAGE SQL
CONTAINS SQL 
NO EXTERNAL ACTION 
DETERMINISTIC 
RETURN SIN(X)/COS(X);

COMMENT ON FUNCTION PGOVINDA.TAN(DOUBLE) IS 'COMMENT ON FUNCTION';


