create table DEPT(DEPTNO INTEGER);
create table EMP(EMPNO INTEGER);

CREATE STOGROUP STGP1 VOLUMES (VOL1) VCAT VCAT1;

CREATE TYPE 2 UNIQUE INDEX pgovinda.XDEPT1 
			ON pgovinda.DEPT (DEPTNO ASC) 
			PADDED 
			USING STOGROUP STGP1 PRIQTY 512 SECQTY 64 
			ERASE NO 
			BUFFERPOOL BP1 
			CLOSE YES 
			PIECESIZE 1 M;
			
CREATE TYPE 2 INDEX pgovinda.XEMP2 
	ON pgovinda.EMP (EMPNO ASC) 
	USING STOGROUP STGP1 PRIQTY 36 
	ERASE NO 
	CLUSTER 
	PARTITION BY RANGE (PARTITION 1 ENDING AT(5), 
						PARTITION 2 ENDING AT(5), 
						PARTITION 3 ENDING AT(5), 
						PARTITION 4 ENDING AT(5)) 
	BUFFERPOOL BP1 
	CLOSE YES 
	COPY YES;
	
ALTER INDEX pgovinda.XEMP2 
		BUFFERPOOL BP1 
		CLOSE YES 
		COPY YES 
		USING VCAT CATLGG 
		FREEPAGE 6 PCTFREE 11 
		GBPCACHE ALL 
		ALTER PARTITION 3 USING VCAT CATLGG FREEPAGE 13 PCTFREE 13, 
			  PARTITION 4 USING VCAT CATLGG GBPCACHE CHANGED;
			  